%define		PYVER		2.6
%define		__python	python%{PYVER}
%define		PVER		%(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

%define po_package gnome-applets-2.0

Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>
Summary:	GNOME applets
Name:		gnome-applets
Version:	2.28.0
Release:	1
BuildArch:	i686
License:	GNU/GPL
URL:		ftp://ftp.gnome.org
Group:		Graphical Desktop/GNOME/Base
Source0:	%{name}-%{version}.tar.bz2
BuildRequires:  libart_lgpl-devel
BuildRequires:  atk-devel
BuildRequires:  dbus-devel
BuildRequires:  libbonobo-devel
BuildRequires:  libbonoboui-devel
BuildRequires:  cairo-devel
BuildRequires:  gail-devel
BuildRequires:  GConf-devel
#BuildRequires:  gdk-pixbuf-devel
BuildRequires:  libglade-devel
BuildRequires:  libgnome-devel
BuildRequires:  libgnomecanvas-devel
BuildRequires:  gnome-desktop-devel
BuildRequires:  gnome-keyring-devel
BuildRequires:  libgnomeui-devel
BuildRequires:  gnome-vfs-devel
BuildRequires:  gstreamer10-devel
BuildRequires:  gtk2+-devel
BuildRequires:  libgtop-devel
BuildRequires:  hal-devel
BuildRequires:  ORBit2-devel
BuildRequires:  pango-devel 
BuildRequires:  popt
BuildRequires:  startup-notification-devel eggdbus-devel
BuildRequires:  libwnck-devel libXcomposite-devel libXdamage-devel openssl-devel libsmbios-devel
BuildRequires:  libxklavier python26-pygobject-devel libgweather-devel popt-devel avahi-devel
BuildRequires:  libxml2-devel libnotify-devel polkit-devel gucharmap-devel python26-pygtk-devel
BuildRequires:  zlib python26-devel gnome-icon-theme libgnomekbd-devel gnome-settings-daemon-devel
BuildRequires:	gnome-panel-devel gnome-doc-utils which libXres-devel startup-notification-devel

%description
gnome-applets is a collection of many applets for your GNOME panel.
It includes clocks, load monitors, little toys, and more.

%post
/sbin/ldconfig
scrollkeeper-update
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule                                        \
	    %{_sysconfdir}/gconf/schemas/battstat.schemas                  \
	    %{_sysconfdir}/gconf/schemas/charpick.schemas                  \
	    %{_sysconfdir}/gconf/schemas/cpufreq-applet.schemas            \
	    %{_sysconfdir}/gconf/schemas/drivemount.schemas                \
	    %{_sysconfdir}/gconf/schemas/geyes.schemas                     \
	    %{_sysconfdir}/gconf/schemas/gweather.schemas                  \
	    %{_sysconfdir}/gconf/schemas/mixer.schemas                     \
	    %{_sysconfdir}/gconf/schemas/stickynotes.schemas               \
	    %{_sysconfdir}/gconf/schemas/multiload.schemas > /dev/null
#%{_libexecdir}/gnome-applets/mc-install-default-macros > /dev/null || :

%pre
if [ "$1" -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule                                    \
	    %{_sysconfdir}/gconf/schemas/battstat.schemas                  \
	    %{_sysconfdir}/gconf/schemas/charpick.schemas                  \
	    %{_sysconfdir}/gconf/schemas/cpufreq-applet.schemas            \
	    %{_sysconfdir}/gconf/schemas/drivemount.schemas                \
	    %{_sysconfdir}/gconf/schemas/geyes.schemas                     \
	    %{_sysconfdir}/gconf/schemas/gweather.schemas                  \
	    %{_sysconfdir}/gconf/schemas/mixer.schemas                     \
	    %{_sysconfdir}/gconf/schemas/stickynotes.schemas               \
	    %{_sysconfdir}/gconf/schemas/multiload.schemas > /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule                                    \
	    %{_sysconfdir}/gconf/schemas/battstat.schemas                  \
	    %{_sysconfdir}/gconf/schemas/charpick.schemas                  \
	    %{_sysconfdir}/gconf/schemas/cpufreq-applet.schemas            \
	    %{_sysconfdir}/gconf/schemas/drivemount.schemas                \
	    %{_sysconfdir}/gconf/schemas/geyes.schemas                     \
	    %{_sysconfdir}/gconf/schemas/gweather.schemas                  \
	    %{_sysconfdir}/gconf/schemas/mixer.schemas                     \
	    %{_sysconfdir}/gconf/schemas/stickynotes.schemas               \
	    %{_sysconfdir}/gconf/schemas/multiload.schemas > /dev/null || :
fi

%postun 
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%prep
%setup -n %{name}-%{version}

%build
%configure PYTHON=/usr/bin/python%{PYVER}
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

# Clean up unpackaged files
rm -rf $RPM_BUILD_ROOT/var/lib/scrollkeeper

%find_lang %{po_package}

%files -f %{po_package}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%_pixmaps
%_datadir/icons
%_datadir/gnome-2.0
%_datadir/gnome
%_datadir/gnome-applets
%_datadir/xmodmap
%_datadir/omf
%_bindir
%_libdir/bonobo
#%{python_sitelib}/invest/
%_libexecdir/*
%_sysconfdir/gconf
%_sysconfdir/dbus-1/system.d/org.gnome.CPUFreqSelector.conf
%_sysconfdir/sound/events/battstat_applet.soundlist
%_datadir/polkit-1/actions/org.gnome.cpufreqselector.policy
%_datadir/dbus-1

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Nov 25 2009 Christian Metzen <metzench@ccux-linux.de> 2.28.0-1
- Version update
* Tue Apr 14 2009 Christian Metzen <metzench@ccux-linux.de> 2.26.1-1
- Version update
* Fri Apr 03 2009 Christian Wasem <wasem@ccux-linux.de> 2.26.0-1
- Version update
* Sat Jan 10 2009 Christian Metzen <metzench@ccux-linux.de> 2.24.2-1
- Version update
* Tue Apr 08 2008 Christian Metzen <metzench@ccux-linux.de> 2.22.1-1
- Version update
* Thu Mar 13 2008 Christian Metzen <metzench@ccux-linux.de> 2.22.0-1
- Version update
* Wed Jan 09 2008 Christian Metzen <metzench@ccux-linux.de> 2.20.1-1
- Version update
* Fri Sep 28 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.0-2
- removed no more existing schema install
* Fri Sep 28 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.0-1
- Version update
* Tue Mar 20 2007 Christian Metzen <metzench@ccux-linux.de> 2.18.0-1
- Version update
* Fri Nov 10 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.1-1
- Version update
* Sat Mar 04 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.13.4-1
- Initial Release
